#!/bin/bash

SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" &> /dev/null && pwd)
cd "${SCRIPT_DIR}/.."

source .env

DIR="${DATA_MOUNT_PATH}"
if [[ "$1" != "" ]]; then
  DIR="$1"
fi

if [[ "${SRG_TASKLIMIT}" != "" ]]; then
  find "${DIR}" -type f | docker-compose run --rm -T srg -tasklimit="${SRG_TASKLIMIT}"
else
  find "${DIR}" -type f | docker-compose run --rm -T srg
fi

